StarGraphicStruct::StarBrush Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
StarGraphicStruct::StarBrush Class Reference

Class to store a brush. More...

`#include <StarGraphicStruct.hxx>`

## Public Member Functions
| StarBrush ()
| constructor More...
bool | isEmpty () const
| returns true if the brush is empty More...
bool | hasUniqueColor () const
| returns true is the brush has unique color More...
bool | getColor (STOFFColor &color) const
| try to return a color corresponding to the brush More...
bool | getPattern (STOFFEmbeddedObject &object, STOFFVec2i &sz) const
| try to return a pattern corresponding to the brush More...
bool | read (StarZone &zone, int nVers, long endPos, StarObject &document)
| try to read a brush More...

## Public Attributes
int | m_transparency
| the transparency More...
STOFFColor | m_color
| the color More...
STOFFColor | m_fillColor
| the fill color More...
int | m_style
| the brush style(pattern): BRUSH_NULL, BRUSH_SOLID, BRUSH_HORZ, BRUSH_VERT, BRUSH_CROSS, BRUSH_DIAGCROSS, BRUSH_UPDIAG, BRUSH_DOWNDIAG, BRUSH_25, BRUSH_50, BRUSH_75, BRUSH_BITMAP More...
int | m_position
| the position(none, lt, mt, rt, lm, mm, rm, lb, mb, rb, area, tiled) More...
librevenge::RVNGString | m_linkName
| the link name More...
librevenge::RVNGString | m_filterName
| the filter name More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, StarBrush const &brush)
| operator<< More...

## Detailed Description

Class to store a brush.

## Constructor & Destructor Documentation

StarGraphicStruct::StarBrush::StarBrush | ( |  | ) |
| inline

constructor

Referenced by read().

## Member Function Documentation

bool StarGraphicStruct::StarBrush::getColor | ( | STOFFColor & | color | ) | const

try to return a color corresponding to the brush

Referenced by hasUniqueColor().

bool StarGraphicStruct::StarBrush::getPattern | ( | STOFFEmbeddedObject & | object,
|  | STOFFVec2i & | sz
| ) |  | const

try to return a pattern corresponding to the brush

Referenced by hasUniqueColor().

bool StarGraphicStruct::StarBrush::hasUniqueColor | ( |  | ) | const
| inline

returns true is the brush has unique color

bool StarGraphicStruct::StarBrush::isEmpty | ( |  | ) | const
| inline

returns true if the brush is empty

bool StarGraphicStruct::StarBrush::read | ( | StarZone & | zone,
|  | int | nVers,
|  | long | endPos,
|  | StarObject & | document
| ) |  |

try to read a brush

Referenced by hasUniqueColor(), StarFormatManager::readNumberFormat(), and StarGraphicStruct::StarGraphic::StarGraphic().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | StarBrush const & | brush
| ) |  |
| friend

operator<<

Referenced by hasUniqueColor(), and StarGraphicStruct::StarPolygon::size().

## Member Data Documentation

STOFFColor StarGraphicStruct::StarBrush::m_color

the color

Referenced by getColor(), getPattern(), StarGraphicStruct::operator<<(), and read().

std::string StarGraphicStruct::StarBrush::m_extra

extra data

Referenced by StarGraphicStruct::operator<<(), and read().

STOFFColor StarGraphicStruct::StarBrush::m_fillColor

the fill color

Referenced by getColor(), getPattern(), StarGraphicStruct::operator<<(), and read().

librevenge::RVNGString StarGraphicStruct::StarBrush::m_filterName

the filter name

Referenced by StarGraphicStruct::operator<<(), and read().

librevenge::RVNGString StarGraphicStruct::StarBrush::m_linkName

the link name

Referenced by StarGraphicStruct::operator<<(), and read().

int StarGraphicStruct::StarBrush::m_position

the position(none, lt, mt, rt, lm, mm, rm, lb, mb, rb, area, tiled)

Referenced by StarGraphicStruct::operator<<(), and read().

int StarGraphicStruct::StarBrush::m_style

the brush style(pattern): BRUSH_NULL, BRUSH_SOLID, BRUSH_HORZ, BRUSH_VERT, BRUSH_CROSS, BRUSH_DIAGCROSS, BRUSH_UPDIAG, BRUSH_DOWNDIAG, BRUSH_25, BRUSH_50, BRUSH_75, BRUSH_BITMAP

Referenced by getColor(), getPattern(), hasUniqueColor(), StarGraphicStruct::operator<<(), and read().

int StarGraphicStruct::StarBrush::m_transparency

the transparency

Referenced by isEmpty(), and StarGraphicStruct::operator<<().

The documentation for this class was generated from the following files:

- StarGraphicStruct.hxx
- StarGraphicStruct.cxx